changeset 3402:2490433b7417

[gaim-migrate @ 3421] Okay, rant time. Anybody who has experienced this problem will appreciate this. Gettext 0.11.x is, as we all know, evil. People have been complaining that, now that 0.11.x actually works, they're getting the following message: "Press Return to acknowledge the previous ___." It had been assumed that the previous paragraphs were the reasons for the pause. However, you always get at least one error. It's hard-coded in. It's more of a "friendly reminder," really. On top of that, even if there were no errors, the pause after the message is also hard-coded in outside of any conditionals. You CANNOT get rid of it by "fixing" anything in the tree. It's always there. On top of that, take a look at these lines: echo "Press Return to acknowledge the previous $count." # Read from /dev/tty, not stdin, so that gettextize cannot be abused by # non-interactive tools. read < /dev/tty See that? They specifically coded it so you cannot bypass it. This commit bypasses it. We're copying gettextize to gaim-gettextize and removing that read line, running it, removing gaim-gettextize. Nasty hack, but it works. You can all thank me when I wake up tomorrow. :) committer: Tailor Script <tailor@pidgin.im>
author Christian Hammond <chipx86@chipx86.com>
date Sun, 18 Aug 2002 09:26:36 +0000
parents 1be15204741f
children 1240eb03569b
files autogen.sh
diffstat 1 files changed, 6 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/autogen.sh	Sun Aug 18 00:02:01 2002 +0000
+++ b/autogen.sh	Sun Aug 18 09:26:36 2002 +0000
@@ -60,7 +60,12 @@
 if [ $GETTEXT_VER -eq 11 ]; then
 	mv -f m4 m4~
 
-	echo n | gettextize --copy --force --intl --no-changelog || abort
+	# Gettext is pure evil. It DEMANDS that we press Return no matter
+	# what. This gets rid of their happy "feature" of doom.
+	sed 's:read < /dev/tty::' `which gettextize` > gaim-gettextize
+	chmod +x gaim-gettextize
+	echo n | ./gaim-gettextize --copy --force --intl --no-changelog || abort
+	rm gaim-gettextize
 
 	# Now restore the things that brain-dead gettext modified.
 	[ -e configure.in~ ] && mv -f configure.in~ configure.in